Subject: [Ltru] 2.2.4: codes listed as eligible for registration in 4645

From: Peter Constable <[email-masked]>
Date: Mon, 7 Jul 2008 11:54:42 -0700

Draft 16 currently has this wording:

------------
E. UN numeric codes and ISO 3166-1 alpha-2 codes for countries or areas listed as eligible for registration in [RFC4645] but not presently registered MAY be entered into the IANA registry via the process described in Section 3.5 (Registration Procedure for Subtags). Once registered, these codes MAY be used to form language tags.
------------

The intended reference isn't clear: I don't see a M.46 or 3166-1 codes listed in 4645 as eligible for registration. (The closest I see are a set of M.49 codes that are *in*eligible for registration.) Is this paragraph an anachronism that is no longer needed? If it still has a useful purpose, then it might help to clear up the wording.

Peter
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Mon, 7 Jul 2008 15:19:08 -0700

It is still valid. The reference in question in RFC 4645 is:

--
4. Omitted Code Elements

   The following code elements from [UN_M.49] were not associated with
   [ISO3166-1] alpha-2 code elements.  Consequently, they were not
   assigned as subtags in the initial Language Subtag Registry, but were
   valid candidates for registration as region subtags, using the
   process in [RFC4646]:

      830   Channel Islands
      831   Guernsey
      832   Jersey
      833   Isle of Man

   The last three became ineligible for registration in April, 2006,
   when the [ISO3166-1] code elements GG, JE, and IM were assigned as
   region subtags.
--

Thus, '830' is still valid for registration. At one time, the rules were even more permissive (hence this text). Incidentally, this reference is why RFC 4645 is still a normative reference in draft-4646bis.

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Peter Constable
> Sent: Monday, July 07, 2008 11:55 AM
> To: LTRU Working Group
> Subject: [Ltru] 2.2.4: codes listed as eligible for registration in
> 4645
>
> E. UN numeric codes and ISO 3166-1 alpha-2 codes for countries or
> areas listed as eligible for registration in [RFC4645] but not
> presently registered MAY be entered into the IANA registry via the
> process described in Section 3.5 (Registration Procedure for
> Subtags). Once registered, these codes MAY be used to form language
> tags.
> ------------
>
> The intended reference isn't clear: I don't see a M.46 or 3166-1
> codes listed in 4645 as eligible for registration. (The closest I
> see are a set of M.49 codes that are *in*eligible for registration.)
> Is this paragraph an anachronism that is no longer needed? If it
> still has a useful purpose, then it might help to clear up the
> wording.
>
>
>
> Peter

---

From: Peter Constable <[email-masked]>
Date: Tue, 8 Jul 2008 23:49:01 -0700

Can I suggest, then, that you provide a more specific reference: "... listed as eligible for registration in Section 4 of [RFC 4645]..."

Peter

> From: Phillips, Addison [mailto:[email-masked]]
> Sent: Monday, July 07, 2008 3:19 PM
> To: Peter Constable; LTRU Working Group
> Subject: RE: 2.2.4: codes listed as eligible for registration in 4645
>
> Thus, '830' is still valid for registration. At one time, the rules
> were even more permissive (hence this text). Incidentally, this
> reference is why RFC 4645 is still a normative reference in draft-
> 4646bis.
>
> Addison
>
> Addison Phillips

---

From: "Phillips, Addison" <[email-masked]>
Date: Fri, 11 Jul 2008 10:19:59 -0700

(editor hat)

DONE

Addison Phillips

> From: Peter Constable [mailto:[email-masked]]
> Sent: Tuesday, July 08, 2008 11:49 PM
> To: Phillips, Addison; LTRU Working Group
> Can I suggest, then, that you provide a more specific reference:
> "... listed as eligible for registration in Section 4 of [RFC
> 4645]..."
>
>
> Peter
>
> >    assigned as subtags in the initial Language Subtag Registry,
> but
> > were